# see http://fantasai.inkedblade.net/web-design/l10n about how to deal with L10n

AddDefaultCharset UTF-8
LanguagePriority en
ForceLanguagePriority Prefer Fallback
Options +MultiViews
DirectoryIndex index

ErrorDocument 404 /404

RedirectMatch temp ^/security/(.*)$ https://www.mozilla.org/security/$1

# this enables us to actually point to (pre)releases as needed
Redirect temp /releases/beta /releases/
Redirect temp /releases/stable /releases/

# hu-HU 1.x package has wrong URL for updates, redirect to correct one
Redirect permanent /releases/releases/updates/hu-HU.rdf /releases/updates/hu-HU.rdf

# pages moved since site existence
Redirect permanent /dev/trademark /legal/trademark
RedirectMatch permanent ^/doc/2\.1/?(.*)$ /doc/$1

# flexible solution for hard-coded link in SeaMonkey Help
Redirect temp /doc/troubleshooting /releases/seamonkey2.53.3/#troubleshooting

# redirect from top level to actual location of release pages
RedirectMatch temp ^/([0-9]{1,2}\.[0-9]{1,2}.*) /releases/$1

# 2.1rc2 shipped as 2.1pre, redirect 2.1pre to the 2.1 relnotes
Redirect permanent /releases/seamonkey2.1pre/ /releases/seamonkey2.1/

# redirect Oilspill releases to the corresponding relnotes
RedirectMatch permanent ^/releases/seamonkey2\.3\.[123]/ /releases/seamonkey2.3/
RedirectMatch permanent ^/releases/seamonkey2\.4\.1/ /releases/seamonkey2.4/
RedirectMatch permanent ^/releases/seamonkey2\.6\.1/ /releases/seamonkey2.6/
RedirectMatch permanent ^/releases/seamonkey2\.7\.[12]/ /releases/seamonkey2.7/
RedirectMatch permanent ^/releases/seamonkey2\.9\.1/ /releases/seamonkey2.9/
RedirectMatch permanent ^/releases/seamonkey2\.10\.1/ /releases/seamonkey2.10/
RedirectMatch permanent ^/releases/seamonkey2\.12\.1/ /releases/seamonkey2.12/
RedirectMatch permanent ^/releases/seamonkey2\.13\.[12]/ /releases/seamonkey2.13/
RedirectMatch permanent ^/releases/seamonkey2\.14\.1/ /releases/seamonkey2.14/
RedirectMatch permanent ^/releases/seamonkey2\.15\.[12]/ /releases/seamonkey2.15/
RedirectMatch permanent ^/releases/seamonkey2\.16\.[12]/ /releases/seamonkey2.16/
RedirectMatch permanent ^/releases/seamonkey2\.17\.1/ /releases/seamonkey2.17/
RedirectMatch permanent ^/releases/seamonkey2\.22\.1/ /releases/seamonkey2.22/
RedirectMatch permanent ^/releases/seamonkey2\.26\.1/ /releases/seamonkey2.26/
RedirectMatch permanent ^/releases/seamonkey2\.29\.1/ /releases/seamonkey2.29/
RedirectMatch permanent ^/releases/seamonkey2\.32\.1/ /releases/seamonkey2.32/
RedirectMatch permanent ^/releases/seamonkey2\.33\.1/ /releases/seamonkey2.33/

# redirect relnotes of -pre versions to the get involved page
RedirectMatch temp ^/releases/seamonkey.*pre/ /dev/get-involved
Redirect temp /releases/seamonkey1.5a/ /dev/get-involved
# redirect relnotes of rapid release train trunk (need to exclude 1.0-2.1 alphas)
RedirectMatch temp ^/releases/seamonkey(?![12]\.[01]a).*a[12]/ /dev/get-involved

<FilesMatch "-atom(\..+)?$">
  ForceType application/atom+xml
  #ForceType application/xml
</FilesMatch>
